import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_xtime

name = "../../modules/results/bench_re2.csv"
df = pandas.read_csv(name)

plot_bench_xtime(df, row_cols='N', col_cols=None,
                 hue_cols=['dim'],
                 cmp_col_values=('test', 're'),
                 x_value='mean', y_value='xtime',
                 parallel=(1., 0.5), title=None,
                 ax=None, box_side=4)
plt.suptitle("re / re2 for dates")
plt.show()